Search products
curl --request GET \
--url https://scrapebadger.com/v1/target/search \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/target/search"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/target/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/target/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/target/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/target/search")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/target/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyTarget endpoints
Search products
Search products.
GET
/
v1
/
target
/
search
Search products
curl --request GET \
--url https://scrapebadger.com/v1/target/search \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/target/search"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/target/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/target/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/target/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/target/search")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/target/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodySearch products.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all Target endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Query. Minimum length: 1.
integer
default:"1"
Page. Minimum: 1. Maximum: 50.
integer
default:"24"
Page size. Minimum: 1. Maximum: 24.
string
default:"1375"
Store id.
string
default:"55403"
Zip code.
string
default:"relevance"
Sort. Allowed values:
relevance, PriceLow, PriceHigh, RatingHigh, bestselling, newest.Response
{
"matching_mode": "native",
"warnings": [
"Target may return semantic or recommended matches, including for queries with no literal matches."
],
"search_metadata": {
"response_ids": [
"search-27e71f0c-d166-4020-8328-55b7822ca708"
],
"count": 24,
"current_page": 1,
"keyword": "laptop",
"offset": 0,
"sort_by": "relevance",
"total_pages": 50,
"total_results": 1241
},
"query": "laptop",
"category": null,
"page": 1,
"page_size": 24,
"total_results": 1241,
"total_pages": 50,
"products": [
{
"tcin": "1012829149",
"requested_tcin": null,
"title": "HP Essential 14\" HD Laptop, Intel N150, 4GB RAM, 128GB eMMC, Wi-Fi 6, Windows 11 Home, 1-Year Microsoft 365 Included, Rose",
"url": "https://www.target.com/p/hp-essential-14-hd-laptop-intel-n-series-n150-intel-graphics-4gb-ram-128gb-emmc-wi-fi-6-windows-11-home-rose/-/A-1012829149",
"brand": "HP Inc.",
"description": null,
"price": {
"current_retail": 289.99,
"display_was_now": false,
"formatted_comparison_price": "$483.32",
"formatted_comparison_price_type": "reg",
"formatted_current_price": "$289.99",
"formatted_current_price_type": "sale",
"reg_retail": 483.32,
"save_dollar": 193.33,
"save_percent": 40.0,
"location_id": 3991
},
"currency": "USD",
"images": [
"https://target.scene7.com/is/image/Target/GUEST_b483eb5f-030e-4084-ae99-47e3fd6c0ca5"
],
"videos": [
{
"is_list_page_eligible": false,
"video_files": [
{
"mime_type": "video/mp4",
"video_url": "https://target.scene7.com/is/content/Target/GUEST_0a019d04-fe5b-4ad7-96be-2aaa0d560b33"
}
]
}
],
"specifications": [
"<B>Dimensions (Overall):</B> .71 inches (H) x 12.76 inches (W) x 8.86 inches (D)"
],
"highlights": [
"[HD Display Experience] Enjoy clear visuals on a 14 inch HD 1366 x 768 anti-glare display with micro-edge design. Watch videos, create presentations, and browse content comfortably indoors or outdoors with reduced reflections."
],
"fulfillment": {
"is_marketplace": true
},
"promotions": [],
"ratings_and_reviews": {},
"category": {
"category_id": "6k98r",
"parent_category_id": "5xtf4"
},
"variants": [],
"variation_hierarchy": [],
"seller": [
{
"vendor_name": "PCOnline",
"id": "10019361"
}
],
"is_sponsored": false,
"raw": {
"__typename": "ProductSummary",
"tcin": "1012829149",
"fast_selling": {
"fast_selling": false,
"queue_gated": false
},
"original_tcin": "1012829149",
"item": {
"cart_add_on_threshold": 35.0,
"relationship_type": "Variation Child",
"relationship_type_code": "VC",
"merchandise_classification": {
"class_id": 1,
"department_id": 56
},
"enrichment": {
"buy_url": "https://www.target.com/p/hp-essential-14-hd-laptop-intel-n-series-n150-intel-graphics-4gb-ram-128gb-emmc-wi-fi-6-windows-11-home-rose/-/A-1012829149",
"image_info": {
"base_url": "//target.scene7.com/is/image/Target/",
"primary_image": {},
"alternate_images": [],
"swatch_image": {}
},
"videos": [
{}
]
},
"product_classification": {
"item_type": {
"name": "Laptop Computers",
"type": "245237"
}
},
"compliance": {},
"wellness_merchandise_attributes": [
{
"badge_url": "https://target.scene7.com/is/image/Target/GUEST_69e6bc10-ff55-4e62-9c7d-737e2c21b3b1",
"parent_id": "1225338992",
"parent_name": "Microphone",
"value_id": "843709",
"value_name": "Built-In Microphone",
"wellness_description": "Comes with a microphone that is used for recording"
}
],
"product_description": {
"title": "HP Essential 14\" HD Laptop, Intel N150, 4GB RAM, 128GB eMMC, Wi-Fi 6, Windows 11 Home, 1-Year Microsoft 365 Included, Rose",
"bullet_descriptions": [
"<B>Dimensions (Overall):</B> .71 inches (H) x 12.76 inches (W) x 8.86 inches (D)"
],
"soft_bullets": {
"bullets": []
}
},
"product_vendors": [
{
"vendor_name": "PCOnline",
"id": "10019361"
}
],
"fulfillment": {
"is_marketplace": true
},
"primary_brand": {
"name": "HP Inc."
},
"ribbons": [
"New At Target"
],
"variation_info": {}
},
"parent": {
"__typename": "ParentProductSummary",
"tcin": "1013205909",
"item": {
"cart_add_on_threshold": 35.0,
"relationship_type": "Variation Parent",
"relationship_type_code": "VAP",
"merchandise_classification": {
"class_id": 1,
"department_id": 56
},
"enrichment": {
"buy_url": "https://www.target.com/p/hp-essential-14-hd-laptop-intel-n150-4gb-ram-128gb-emmc-windows-11-home-1-year-microsoft-365-included/-/A-1013205909",
"image_info": {},
"videos": []
},
"has_extended_sizing": false,
"wellness_merchandise_attributes": [
{}
],
"product_description": {
"title": "HP Essential 14\" HD Laptop, Intel N150, 4GB RAM, 128GB eMMC, Windows 11 Home, 1-Year Microsoft 365 Included",
"bullet_descriptions": [],
"soft_bullets": {}
},
"product_classification": {
"item_type": {}
},
"product_vendors": [
{}
],
"fulfillment": {
"is_marketplace": true
},
"primary_brand": {
"name": "HP Inc."
},
"ribbons": [
"New At Target"
],
"variation_info": {}
},
"promotions": [],
"price": {
"formatted_comparison_price": "$483.32 - $499.98",
"formatted_comparison_price_type": "reg",
"formatted_current_price": "$289.99 - $299.99",
"formatted_current_price_type": "sale",
"location_id": 3991
},
"ratings_and_reviews": {
"statistics": {
"rating": {}
}
},
"variation_summary": {
"themes": [
{}
]
}
},
"desirability_cues": [
{
"code": "social_proofing",
"display": "100+ bought in last month",
"long_description": "This item was bought over 100 times this month."
}
],
"ornaments": [
{
"ornament": "trending",
"display": "Trending",
"long_description": "This item is seeing a recent spike in sales and views compared to usual.",
"ornament_type": "guest",
"template_type": "light_marker_with_fire",
"metadata": "{\"experiments\":[{\"factor\":\"trending_ornament_factor\",\"value\":\"treatment_1\",\"default\":false,\"ios_treatment_id\":\"fb39e52a-dcbd-4dc8-9be2-b331e242bcec\",\"hide_on_control_value\":\"control\",\"ios_hide_on_control_treatment_id\":\"420e4dcd-d3a8-4a59-adb1-a3c4f2eacfe1\"}]}"
}
],
"promotions": [],
"price": {
"current_retail": 289.99,
"display_was_now": false,
"formatted_comparison_price": "$483.32",
"formatted_comparison_price_type": "reg",
"formatted_current_price": "$289.99",
"formatted_current_price_type": "sale",
"reg_retail": 483.32,
"save_dollar": 193.33,
"save_percent": 40.0,
"location_id": 3991
},
"category": {
"category_id": "6k98r",
"parent_category_id": "5xtf4"
}
}
}
],
"facets": [
{
"facet_id": "d_deals",
"type": "checkbox",
"display_name": "Deals",
"expand": true,
"options": [
{
"display_name": "All Deals",
"id": "akkos",
"url": "d_deals:all deals",
"value": "all deals"
}
]
}
],
"sort_options": [
{
"name": "relevance",
"value": "relevance"
}
]
}
Example
curl --get 'https://scrapebadger.com/v1/target/search' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'query=laptop' \
--data-urlencode 'page=1' \
--data-urlencode 'page_size=24' \
--data-urlencode 'store_id=1375' \
--data-urlencode 'zip_code=55403' \
--data-urlencode 'sort=relevance'

